%define majver %(echo %version | cut -d. -f1-2)

Name:          kwayland-server
Version:       5.21.0
Release:       1mamba
Summary:       KDE Frameworks 5 Wayland server
Group:         Graphical Desktop/Applications/Environment
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.kde.org
Source:        https://download.kde.org/stable/plasma/%{version}/kwayland-server-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libGL-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwayland-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRequires: plasma-wayland-protocols
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 Wayland server.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for KDE Frameworks 5 Wayland server
Requires:      plasma-wayland-protocols

%description -n lib%{name}
KDE Frameworks 5 Wayland server.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libKWaylandServer.so.*
%{_datadir}/qlogging-categories5/kwaylandserver.categories
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/KWaylandServer
%{_includedir}/KWaylandServer/*.h
%{_includedir}/kwaylandserver_version.h
%{_libdir}/libKWaylandServer.so
%dir %{_libdir}/cmake/KWaylandServer
%{_libdir}/cmake/KWaylandServer/KWaylandServer*.cmake

%changelog
* Thu Feb 18 2021 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Tue Jan 05 2021 Automatic Build System <autodist@mambasoft.it> 5.20.5-1mamba
- automatic version update by autodist

* Tue Dec 01 2020 Automatic Build System <autodist@mambasoft.it> 5.20.4-1mamba
- automatic version update by autodist

* Wed Nov 11 2020 Automatic Build System <autodist@mambasoft.it> 5.20.3-1mamba
- automatic version update by autodist

* Wed Oct 28 2020 Automatic Build System <autodist@mambasoft.it> 5.20.2-1mamba
- automatic version update by autodist

* Tue Oct 20 2020 Automatic Build System <autodist@mambasoft.it> 5.20.1-1mamba
- automatic version update by autodist

* Wed Oct 14 2020 Automatic Build System <autodist@mambasoft.it> 5.20.0-1mamba
- automatic version update by autodist

* Tue Sep 01 2020 Automatic Build System <autodist@mambasoft.it> 5.19.5-1mamba
- automatic version update by autodist

* Wed Jul 29 2020 Automatic Build System <autodist@mambasoft.it> 5.19.4-1mamba
- automatic version update by autodist

* Tue Jul 07 2020 Automatic Build System <autodist@mambasoft.it> 5.19.3-1mamba
- automatic version update by autodist

* Thu Jun 25 2020 Automatic Build System <autodist@mambasoft.it> 5.19.2-1mamba
- automatic version update by autodist

* Wed Jun 17 2020 Automatic Build System <autodist@mambasoft.it> 5.19.1-1mamba
- automatic version update by autodist

* Thu Jun 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.19.0-1mamba
- package created using the webbuild interface
